> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Workflow Execution Action

> Cancels a running workflow execution action.

`Unary` · [`Workflows`](/docs/api-reference/generated/workflow/overview)

Cancels a running workflow execution action.

Use this method to:

* Stop long-running actions
* Cancel failed actions
* Manage resource usage

### Examples

* Cancel execution action:

  Stops a running workflow execution action.

  ```yaml theme={null}
  workflowExecutionActionId: "a1b2c3d4-5e6f-7890-abcd-ef1234567890"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.WorkflowService/CancelWorkflowExecutionAction
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.WorkflowService/CancelWorkflowExecutionAction" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "workflowExecutionActionId": "<workflow-execution-action-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.workflow_pb2 as workflow_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = workflow_pb2.CancelWorkflowExecutionActionRequest(
      workflow_execution_action_id="<workflow-execution-action-id>",
  )
  response = ona.services.workflow.cancel_workflow_execution_action(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { CancelWorkflowExecutionActionRequestSchema } from "@gitpod/sdk/gitpod/v1/workflow_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(CancelWorkflowExecutionActionRequestSchema, {
      workflowExecutionActionId: "<workflow-execution-action-id>",
    });
    const response = await ona.services.workflow.cancelWorkflowExecutionAction(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.CancelWorkflowExecutionActionRequest{
  		WorkflowExecutionActionId: "<workflow-execution-action-id>",
  	})
  	response, err := ona.Services.Workflow.CancelWorkflowExecutionAction(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "workflowExecutionActionId": "<workflow-execution-action-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.CancelWorkflowExecutionActionRequest`

CancelWorkflowExecutionActionRequest cancels a running workflow execution action.

| Field                       | Type   | Required | Description                      |
| --------------------------- | ------ | -------- | -------------------------------- |
| `workflowExecutionActionId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.CancelWorkflowExecutionActionResponse`

This message has no fields.
